Package org.apache.lucene.codecs

# Class StoredFieldsFormat

java.lang.Object
org.apache.lucene.codecs.StoredFieldsFormat

Direct Known Subclasses:
  `Lucene90CompressingStoredFieldsFormat`, `Lucene90StoredFieldsFormat`

public abstract class StoredFieldsFormat extends Object
Controls the format of stored fields

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `StoredFieldsFormat()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract StoredFieldsReader`
  `fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)`
  Returns a `StoredFieldsReader` to load stored fields.
  `abstract StoredFieldsWriter`
  `fieldsWriter(Directory directory, SegmentInfo si, IOContext context)`
  Returns a `StoredFieldsWriter` to write stored fields.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StoredFieldsFormat

    protected StoredFieldsFormat()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### fieldsReader

    public abstract StoredFieldsReader fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context) throws IOException
    Returns a `StoredFieldsReader` to load stored fields.
    Throws:
      `IOException`

  - ### fieldsWriter

    public abstract StoredFieldsWriter fieldsWriter(Directory directory, SegmentInfo si, IOContext context) throws IOException
    Returns a `StoredFieldsWriter` to write stored fields.
    Throws:
      `IOException`